Summary:        Run commands simply, with detailed diagnostics
Name:           perl-IPC-System-Simple
Version:        1.30
Release:        5%{?dist}
License:        GPL+ or Artistic
URL:            https://metacpan.org/release/IPC-System-Simple
Source0:        https://cpan.metacpan.org/modules/by-module/IPC/IPC-System-Simple-%{version}.tar.gz

BuildRequires:  coreutils findutils make perl(ExtUtils::MakeMaker)	
BuildRequires:  perl-generators perl-interpreter
BuildRequires:  perl(Carp) perl(Config) perl(constant) perl(re)
BuildRequires:  perl(Exporter) perl(List::Util) perl(POSIX)
BuildRequires:  perl(Scalar::Util) perl(strict) perl(warnings)	
BuildRequires:  perl(File::Basename) perl(Test) perl(Test::More)	

BuildArch:	noarch

%description
Calling Perl's in-built system() function is easy, determining if it was successful is hard. 
Let's face it, $? isn't the nicest variable in the world to play with, and even if you do 
check it, producing a well-formatted error string takes a lot of work.

%prep
%autosetup -n IPC-System-Simple-%{version}

chmod -c -x examples/*.pl

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1 NO_PERLLOCAL=1
%make_build

%install
%make_install
%{_fixperms} -c %{buildroot}

%check
make test

%files
%license LICENSE
%doc Changes README examples/
%{perl_vendorlib}/IPC/
%{_mandir}/man3/IPC::System::Simple.3*

%changelog
* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.30-5
- Rebuilt for OpenCloudOS Stream 23.09

* Wed Aug 16 2023 Xiaojie Chen <jackxjchen@tencent.com> - 1.30-4
- Remove perl(:MODULE_COMPAT) which will be generated by perl-generators >= 1.15

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.30-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.30-2
- Rebuilt for OpenCloudOS Stream 23

* Mon Aug 15 2022 Wang Zhe <bessiewang@tencent.com> - 1.30-1
- initial build
